Bug 78332 - [PATCH] no help content in polish/openoffice-1.1, nor ENUS (no helpcontent_01_unix)
Summary: [PATCH] no help content in polish/openoffice-1.1, nor ENUS (no helpcontent_01...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-02 21:40 UTC by Pawel Wieleba
Modified: 2005-06-19 03:26 UTC (History)
0 users

See Also:


Attachments
file.diff (728 bytes, patch)
2005-03-02 21:40 UTC, Pawel Wieleba
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Wieleba 2005-03-02 21:40:21 UTC
There is no help content in OpenOffice.org after installing:
 pl-openoffice-1.1 (polish/openoffice-1.1)
 openoffice-1.1.4 (editors/openoffice-1.1).

srv% ls /usr/local/OpenOffice.org1.1.4/help/pl/
srv%

Fix: I added us english helpcontent by default. It will be used when variable L10NHELP is not specified (like in polish/openoffice-1.1 port).
I changed distinfo to support helpcontent_01_unix.tgz (ENUS).
As a result polish users will have help (but in English).

The patch to the OpenOffice port:
srv% diff -u /usr/ports/editors/openoffice-1.1/Makefile-ORG /usr/ports/editors/openoffice-1.1/Makefile
LANG_EXT?=     01
 LANG_CONFIGURE_ARG?=   ENUS
+L10NHELP?=     helpcontent_01_unix.tgz

 .if defined(L10NHELP)
 DISTFILES+=    ${L10NHELP}:help
 .endif
 .if defined(ALL_LOCALIZED_LANGS)
-DISTFILES+=    helpcontent_07_unix.tgz:help3 \
+DISTFILES+=    helpcontent_01_unix.tgz:help  helpcontent_07_unix.tgz:help3 \
                helpcontent_31_unix.tgz:help  helpcontent_33_unix.tgz:help \
                helpcontent_34_unix.tgz:help  helpcontent_39_unix.tgz:help \
                helpcontent_42_unix.tgz:help2 helpcontent_43_unix.tgz:help2 \
@@ -72,7 +73,7 @@
                helpcontent_81_unix.tgz:help  helpcontent_82_unix.tgz:help \
                helpcontent_86_unix.tgz:help  helpcontent_88_unix.tgz:help \
                helpcontent_90_unix.tgz:help
-L10NHELPS=     helpcontent_07_unix.tgz \
+L10NHELPS=     helpcontent_01_unix.tgz helpcontent_07_unix.tgz \
                helpcontent_31_unix.tgz helpcontent_33_unix.tgz \
                helpcontent_34_unix.tgz helpcontent_39_unix.tgz \
                helpcontent_42_unix.tgz helpcontent_43_unix.tgz \

srv% diff -u /usr/ports/editors/openoffice-1.1/distinfo-ORG /usr/ports/editors/openoffice-1.1/distinfo


Another way for polish/openoffice-1.1 users is to download helpcontent file (OpenOffice_Help_PL.zip) from:
http://www.openoffice.pl/download.php?a=file&id=2b61b0ba2e0e6e598562cd503ec95bb0
and unpack it to /usr/local/OpenOffice.org1.1.4/help/pl/
I think that this file should be converted to helpcontent_48_unix.tgz and should be installed automatically. If there are no licence problems I can prepare it and make a proper patch.
If licence problem occures just leave _english help_ and maybe add info to pkg-message with a link to OpenOffice_Help_PL.zip.
CU
Pawel Wieleba--e8bEuqyAgG7Pk3YGk6cALnsBOCjNiSDNhA9EM6MKM6QtOKWm
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- /usr/ports/editors/openoffice-1.1/Makefile-ORG      Wed Mar  2 21:12:22 2005
+++ /usr/ports/editors/openoffice-1.1/Makefile  Wed Mar  2 21:09:57 2005
@@ -58,12 +58,13 @@
How-To-Repeat: cd /usr/ports/polish/openoffice-1.1; make install
run eg. /usr/local/OpenOffice.org1.1.4/program/swriter
choose Help->Contents from the menu
Comment 1 Volker Stolz freebsd_committer 2005-03-04 09:07:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to OpenOfficers
Comment 2 Maho Nakata freebsd_committer 2005-06-19 03:26:07 UTC
State Changed
From-To: open->closed

Committed thanks!